@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&display=swap');
@import "mixins";
@import "variables";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@font-face {
    font-family: 'Gilroy';
    src: url('../fonts/Gilroy-SemiBold.eot');
    src: local('Gilroy SemiBold Italic'), local('Gilroy-SemiBoldItalic'),
    url('../fonts/Gilroy-SemiBold.eot?#iefix') format('embedded-opentype'),
    url('../fonts/Gilroy-SemiBold.woff') format('woff'),
    url('../fonts/Gilroy-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}

@media screen and  (max-width:768px) and (min-width:320px) {

    .container {
        max-width:90%;
        margin: 0 auto;
    }

    .design__section{

        .background-design__section {
            background-image: url(../images/what-i-do-bgd.jpg);
            background-position: center center;
            background-size: cover;
            background-repeat: no-repeat;
            padding-bottom: 478px;
        }

        .title-design__section {
            color: var(--text-black-title); 
            margin-top: 20px;
            text-align: center;
            font-family: Gilroy;
            font-size: 56px;
            font-weight: 300;
            font-style: normal;
            line-height: normal;
            text-transform: uppercase;
            margin-bottom: 40px;
        }

        .block__design {
            @include section-design;
            gap: 30px;
            .item-block__design {
                @include section-design;
                gap: 10px;
                align-self: stretch;
                padding-bottom: 30px;
                border-bottom: 1px solid #252525;

                .title-item-block {
                    color: var(--text-black);
                    font-family: Gilroy-Light;
                    font-size: 35px;
                    font-style: normal;
                    font-weight: 600;
                    line-height: normal;
                    text-transform: uppercase;
                    

                    .number {
                        font-weight: 400;
                    }
                }
                .text-item-block{
                    color: var(--text-black);
                    font-family: Inter;
                    font-size: 20px;
                    font-style: normal;
                    font-weight: 400;
                    line-height: 28px; 
                }
            }

        }
    }

}
